# MeshArrays.jl

`MeshArrays.jl` defines an array type that can contain / organize / distribute collections of inter-connected arrays as generally done in climate models (see [Earth Grids](@ref)). `MeshArrays.jl`'s data structures can be used to simulate and analyze key variables of the climate system such as [particles](https://doi.org/10.21105/joss.02813) and [transports](https://doi.org/10.1038/s41561-019-0333-7).

!!! note
    [These Notebooks](https://github.com/JuliaClimate/GlobalOceanNotebooks.git), [IndividualDisplacements.jl](https://juliaclimate.github.io/IndividualDisplacements.jl/dev/), and [MITgcmUtils.jl]() illustrate various use cases for example.


## Contents

```@contents
Pages = ["start.md","main.md","API.md","videos.md","detail.md"]
Depth = 2
```
